<?php
/**
 * Template Name: Home Page boxed layout
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package eightphoto
 */

$search_option = get_theme_mod('eightphoto_header_settings_search_option','disable');
$header_social = get_theme_mod('eightphoto_social_setting_option_header','disable');
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <?php wp_head(); ?>
</head>
<body class='home page page-id-4 page-template page-template-template-home page-template-template-home-php logged-in <?php if(is_user_logged_in())echo 'admin-bar';?> custom-background leftsidebar boxed-layout'> 
    <header id="masthead" class="site-header">

        <div class="foto-container clear">
            <div class="header-logo">
                <a href="<?php echo esc_url(home_url('/')); ?>" rel="home">
                    <?php if (get_header_image()) : ?>
                        <div class="logo-image">
                            <img src="<?php header_image(); ?>" alt="<?php bloginfo('name'); ?>">
                        </div>
                    <?php endif; ?>
                    <div class="site-branding">
                        <h1 class="site-title">
                            <?php bloginfo('name'); ?>
                        </h1>
                        <p class="site-description"><?php bloginfo('description'); ?></p>
                    </div><!-- .site-branding -->                                
                </a>                            
                <?php //endif; ?>
            </div>
            <?php                 
            if(($header_social == 'enable') || ($search_option == 'enable') ){
                ?>                
                <div class="search-social-icon">                           
                    <?php                 
                    if($search_option == 'enable'){
                        ?>
                        <div class="search">        
                            <?php get_search_form();?>      
                        </div>
                        <?php 
                    }
                    ?>   
                    <?php                 
                    if($header_social == 'enable'){
                        ?>                
                        <div class="header-social-media">
                           <?php do_action('eightphoto_social'); ?>                   
                       </div>
                       <?php 
                   }
                   ?>
               </div>
               <?php 
           }
           ?>    
           <nav id="site-navigation" class="main-navigation clear">
            <div class="ed-toggle-nav">
                <span class="toggle-bar toggle-bar1"></span>
                <span class="toggle-bar toggle-bar2"></span>
                <span class="toggle-bar toggle-bar3"></span>
            </div>
            <?php wp_nav_menu(array('theme_location' => 'primary', 'menu_id' => 'primary-menu', 'container' => false, 'menu_class'=>'primary-nav-menu')); ?>
        </nav><!-- #site-navigation -->  
    </div>

</header><!-- #masthead -->   

<div id="page" class="hfeed site ">
    <?php eightphoto_main_slider();?>

    <div id="content" class="site-content">
        <?php
        $post_cat = esc_attr(get_theme_mod('eightphoto_cstmzr_categories'));
        $category_all = __('All', 'eightphoto');
        $call_action = esc_attr(get_theme_mod('eightphoto_homepage_call_action_option'));
        $portfolio = esc_attr(get_theme_mod('eightphoto_homepage_our_portfolio_option'));
        ?>
        <div id="inner-content" class="wrap clear">
            <div id="main" class="twelvecol first clear" role="main">

                <?php if (esc_attr(get_theme_mod('eightphoto_homepage_about_option','enable')) == 'enable') { ?>
                <section class="ed_aboutus">
                    <div class="foto-container clear">
                        <?php eightphoto_aboutus(); ?>
                    </div>
                </section>
                <?php } ?>

                <?php if (esc_attr(get_theme_mod('eightphoto_homepage_our_service_option','enable')) == 'enable') { ?>
                <section class="ed_service_section">
                    <?php eightphoto_our_services(); ?>
                </section>
                <?php } ?>

                <?php
                $count_section = get_theme_mod('eightphoto_homepage_about_count_option','enable');
                if(!empty($count_section) && $count_section == 'enable') {
                    ?>
                    <section class="counter-section">
                        <div class="foto-container">
                            <?php eightphoto_counter(); ?>
                        </div>
                    </section>
                    <?php } ?>

                    <section class="ed_gallery_section">
                        <div class="section-title">
                            <?php echo esc_attr(get_theme_mod('eightphoto_homepage_gallery_main_title')); ?>   
                        </div>

                        <div id="ed_gallery_wrap">



                            <div id="ed-grid-gallery-view">          
                                <?php
                                $post_category = explode(',', $post_cat);
                                $args = array('post_type' => 'post', 'posts_per_page' => -1,
                                    'tax_query' => array(
                                        array(
                                            'taxonomy' => 'category',
                                            'field' => 'id',
                                            'terms' => $post_category
                                            )
                                        )
                                    );
                                $query = new WP_Query($args);
                                if ($query->have_posts()): while ($query->have_posts()) : $query->the_post();
                                
                                $img_src_full = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'full', true);

                                $term_lists = wp_get_post_terms($post->ID, 'category', array("fields" => "all"));
                                $term_slugs = array();
                                foreach ($term_lists as $term_list) {
                                    $term_slugs[] = $term_list->slug;
                                }
                                $term_slugs = join(' ', $term_slugs);
                                ?>               
                                <div class="element-item <?php echo esc_attr($term_slugs); ?>">
                                    <?php             
                                    $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'eightphoto-grid-large', true);
                                    ?>                               
                                    <div class="ed-gallery-hover">
                                        <div class="gallery-img">
                                            <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title(); ?>">
                                        </div>

                                        <div class="ed-grid-hover">                                     
                                            <h6>
                                                <a href="<?php the_permalink(); ?>">
                                                    <?php the_title(); ?>
                                                </a>                                                            
                                            </h6>

                                            <div class="gallery-open-link">
                                                <a href="<?php echo esc_url($img_src_full[0]); ?>" rel="gallryLight"><i class="fa fa-eye"></i></a>
                                                <a href="<?php the_permalink(); ?>"><i class="fa fa-link"></i></a>
                                            </div>

                                            <div class="ed-masonary-gallery-cat">
                                                <?php the_category(', '); ?>
                                            </div>

                                        </div>


                                    </div>
                                </div>
                                <?php
                                endwhile;
                                endif;
                                wp_reset_postdata();
                                ?>
                            </div>                


                        </div>
                    </section>

                    <?php if (esc_attr(get_theme_mod('eightphoto_homepage_call_action_option','enable')) == 'enable') : ?>            
                        <section class="home_caltoaction">
                            <?php eightphoto_call_to_action() ?>
                        </section>
                    <?php endif; ?>

                    <?php if (esc_attr(get_theme_mod('eightphoto_homepage_blogs_option','enable')) == 'enable') { ?>
                    <section class="ed-blog-section">
                        <div class="foto-container">
                            <?php eightphoto_homeblogs(); ?>
                        </div>
                    </section>
                    <?php } ?>

                    <?php if (esc_attr(get_theme_mod('eightphoto_homepage_quick_contact_info','enable')) == 'enable') : ?>
                        <section class="quick_contact_section">
                            <div class="foto-container clear">
                                <?php eightphoto_quick_contact(); ?>
                            </div>
                        </section>
                    <?php endif; ?>

                    <?php if (is_active_sidebar('eightphoto-home-instagram')) : ?>
                        <section class="ed-home-instagram">
                            <?php dynamic_sidebar('eightphoto-home-instagram'); ?>
                        </section>
                    <?php endif; ?>       

                    <?php get_footer();