<?php
/**
 * Template Name: Blog with alternate image
 *
 * @package eightphoto
 */
get_header();
?>

<header class="page-header">
    <h1 class="page-title"><?php _e('Blogs','eightphoto'); ?></h1>
    <?php eightphoto_breadcrumbs(); ?>
</header>

<?php


// Blogs
 ?>
<div class="foto-container">
    
    <div id="primary" class="content-area">
        
        <?php   if (have_posts()) : ?>
        <?php 
                $cat_team = get_theme_mod('eightphoto_team_archive_section_select');
                $cat_testimonial = get_theme_mod('eightphoto_testimonial_archive_section_select');
                $cat_blog = get_theme_mod('eightphoto_homepage_blog_cat');
                $team_layout = get_theme_mod('eightphoto_team_archive_section_layout','list');
                $testimonial_layout = get_theme_mod('eightphoto_testimonial_archive_section_layout','list');
                $blog_layout = 'alternateimagelistview';
                $archive_layout=get_theme_mod('eightphoto_archive_archive_section_layout','list');
                $cat =  'blog-'.$blog_layout;

        ?>    
            <div class="<?php echo $cat; ?> ">
            <?php /* Start the Loop */ ?>
            <?php 
                $query = new WP_Query(array('cat'=>8));
            ?>
            <?php while ($query->have_posts()) : $query->the_post(); ?>

                <?php
                    if( has_post_thumbnail() ) {
                        if(!empty($blog_layout) && $blog_layout == 'alternateimagelistview'){
                              $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'eightphoto-grid-large', true); 
                        }else{
                            $image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'eightphoto-sly', true);
                        }
                    }
                        $blog_author = esc_attr(get_theme_mod('eightphoto_blog_author_archive_section','yes'));
                        $blog_postdate = esc_attr(get_theme_mod('eightphoto_blog_postdate_archive_section','yes'));
                        $blog_meta_cat = esc_attr(get_theme_mod('eightphoto_blog_metacategory_archive_section','yes'));
                        ?>
                        <div class="blog-post-wrap clear">                            
                                <?php if( has_post_thumbnail() ) :?>
                                <div class="ed-blog-list-thumb"> 
                                    <img src="<?php echo esc_url($image[0]); ?>" alt="<?php the_title_attribute();?>" title="<?php the_title();?>">                 
                                </div> 
                                <?php endif;?>
                            <div class="ed-blog-list-detail">
                                <h5>
                                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>                                                      
                                </h5>                  
                                <div class="entry-meta">                              
                                    <?php if ($blog_author == 'yes') : ?>
                                        <span><i class="fa fa-user"></i> <?php the_author(); ?></span>
                                    <?php endif; ?>
                                    <?php if ($blog_postdate == 'yes') : ?>
                                        <span><i class="fa fa-clock-o"></i><?php the_time(get_option('date_format')); ?></span>
                                    <?php endif; ?> 
                                    <?php if ($blog_meta_cat == 'yes') : ?>
                                        <span><i class="fa fa-folder-open"></i> <?php the_category(','); ?></span>
                                    <?php endif; ?>               
                                </div>

                                <div class="ed-blog-list-excerpt">
                                    <?php echo eightphoto_word_count(get_the_excerpt(), 250); ?>
                                    <div class="bttn-wrap">
                                        <a class="bttn" href="<?php the_permalink(); ?>"><?php _e('Read More','eightphoto'); ?></a>
                                    </div>
                                </div>   
                            </div>
                        </div> 

            <?php   
                endwhile;
                wp_reset_postdata(); 
            ?>
            </div>
        <?php else : ?>

            <?php get_template_part('template-parts/content', 'none'); ?>

        <?php endif; ?>
    </div><!-- #primary -->

    <div id="secondary" class="widget-area">
        <?php
            if (is_active_sidebar('eightphoto-left-sidebar')) {
                dynamic_sidebar('eightphoto-left-sidebar');
            }
        ?>
    </div><!-- #secondary -->
</div>
<?php  ?>
<?php get_footer();?>