<?php
/**
 * Template Name: Team with List View
 *
 * @package eightphoto
 */
get_header();
?>

<header class="page-header">
    <h1 class="page-title"><?php _e('Team','eightphoto'); ?></h1>
    <?php eightphoto_breadcrumbs(); ?>
</header>

<?php


// Blogs
 ?>
<div class="foto-container">
    
    <div id="primary" class="content-area">
        
        <?php   if (have_posts()) : ?>
        <?php 
                $cat_team = get_theme_mod('eightphoto_team_archive_section_select');
                $cat_testimonial = get_theme_mod('eightphoto_testimonial_archive_section_select');
                $cat_blog = get_theme_mod('eightphoto_homepage_blog_cat');
                $team_layout = 'list';
                $testimonial_layout = get_theme_mod('eightphoto_testimonial_archive_section_layout','list');
                $blog_layout = get_theme_mod('eightphoto_blog_page_archive_section','largeimagelistview');
                $archive_layout=get_theme_mod('eightphoto_archive_archive_section_layout','list');
                $cat =  'team-'.$team_layout; 
        ?>    
            <div class="<?php echo $cat; ?> ">
            <?php /* Start the Loop */ ?>
            <?php 
                $query = new WP_Query(array('cat'=>9));
            ?>
            <?php while ($query->have_posts()) : $query->the_post(); ?>

                <?php
                    switch ( $team_layout ) {
                        case 'list':
                            $image_size = 'eightphoto-grid-large';
                            break;
                        
                        default:
                            $image_size = 'eightphoto-team-grid-image';
                            break;
                    }
                    $image_id = get_post_thumbnail_id();
                    $image_path = wp_get_attachment_image_src( $image_id, $image_size, true );
                ?>
                    
                    <div class="ed-team-list-wrap">
                    <?php if( has_post_thumbnail() ) { ?>
                        <div class="ed-team-list-thumb">
                            <a href="<?php the_permalink(); ?>">
                                <img src="<?php echo esc_url( $image_path[0] );?>" alt="<?php the_title(); ?>" />
                            </a>
                        </div>
                    <?php } ?>

                        <div class="ed-team-list-detail">
                            <h5>
                                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>                                                      
                            </h5>     
                            <div class="ed-team-list-excerpt">
                                <?php the_excerpt(); ?>
                               
                            </div>   
                        </div> 
                    </div> 

            <?php endwhile; 
                wp_reset_postdata();
                ?>
            </div>
            <?php
                if (function_exists("eightphoto_pagination")) {
                    eightphoto_pagination();
                }
            ?>
        <?php else : ?>

            <?php get_template_part('template-parts/content', 'none'); ?>

        <?php endif; ?>
    </div><!-- #primary -->

    <div id="secondary" class="widget-area">
        <?php
            if (is_active_sidebar('eightphoto-left-sidebar')) {
                dynamic_sidebar('eightphoto-left-sidebar');
            }
        ?>
    </div><!-- #secondary -->
</div>
<?php  ?>
<?php get_footer();?>